WordPress belülről

WordPress bővítmények kikapcsolása

Nagyon nagy hasznát vehetjük az alábbi WordPress tippnek, ha éppen blogunk motorját frissítjük és egy-egy plugin miatt hibaüzenetet kapunk frissítés során. A WordPress 3.0-ra frissítés során mostanában elég sokszor előfordul ilyen. Ez nem a WordPress hibája természetesen, hanem egyes bővítmények még nem kompatibilisek az új verzióval. PhpMyAdmin-ban futtassuk az alábbi SQL kérést, hogy kikapcsoljuk blogunkon az összes bővítményt.

UPDATE wp_options SET option_value = '' WHERE option_name = 'active_plugins';

A másik megoldás az, hogy tárhelyünkön a plugins könyvtárat átnevezzük mondjuk plugins.old-ra és létrehozunk egy új plugins könyvtárat.
Ha kikapcsoltuk a bővítményeket, akkor végezzük el a frissítést. Ezután minden plugint frissítsük, majd egyesével kapcsoljuk be. Annál a pluginnál, ahol hibaüzenetet kapunk meg is találtuk a ludast. Arra kell alternatív megoldást keresnünk vagy éppen utána nézni, mikor jelenik meg az új verzió.